version.h File Reference

version and cpp version checks More...

Go to the source code of this file.

## Macros

#define | UTL_VERSION "0.1.0"
| utl version More...
#define | UTL_VERSION_MAJOR 0
#define | UTL_VERSION_MINOR 1
#define | UTL_VERSION_PATCH 0
#define | UTL_VERSION_VALUE
#define | CXX_VER __cplusplus
| C++ versions. More...
#define | CXX_VER_STD_11 201103L
#define | CXX_VER_STD_14 201402L
#define | CXX_VER_STD_17 201703L
#define | CXX_VARIABLE_TEMPLATES (CXX_VER >= CXX_VER_STD_14)
| Check for variable templates. More...
#define | CXX_CONCEPTS 0
| Check concepts. More...
#define | CXX_INLINE_VARIABLES (CXX_VER >= CXX_VER_STD_17)
| Check for inline variables. More...
#define | CXX_FOLD_EXPRESSIONS (CXX_VER >= CXX_VER_STD_17)

## Detailed Description

version and cpp version checks

Copyright (C) 2018-2019 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file version.h.